# Create install

URL: https://docs.hanzo.ai/docs/openapi/o11y/installintegration

> Installs an integration into the caller's org from its id and configuration, answering with the installed catalog item.

`POST /v1/o11y/integrations/install`

> [O11y →](https://docs.hanzo.ai/docs/openapi/o11y) · [All API references →](https://docs.hanzo.ai/docs/openapi) · [Get started →](https://docs.hanzo.ai/docs/guides)

|               |                                                     |
| ------------- | --------------------------------------------------- |
| **Address**   | `https://api.hanzo.ai/v1/o11y/integrations/install` |
| **Method**    | `POST`                                              |
| **Operation** | `InstallIntegration`                                |
| **Auth**      | `Authorization: Bearer $HANZO_API_KEY`              |

Installs an integration into the caller's org from its id
and configuration, answering with the installed catalog item. Viewer gate.

## Request

3 fields, body `application/json` (required).

| Field            | In   | Type   | Required | Description |
| ---------------- | ---- | ------ | -------- | ----------- |
| `config`         | body | object | —        |             |
| `config.*`       | body | any    | —        |             |
| `integration_id` | body | string | —        |             |

## Response

| Status    | Body                | Meaning           |
| --------- | ------------------- | ----------------- |
| `200`     | o11y.O11yInstallOut | ok                |
| `202`     | Approval            | held for approval |
| `default` | problem-details     | refused           |

`200` body — 11 fields.

| Field                  | In   | Type                      | Always | Description          |
| ---------------------- | ---- | ------------------------- | ------ | -------------------- |
| `data`                 | body | o11y.IntegrationsListItem | —      |                      |
| `data.author`          | body | o11y.IntegrationAuthor    | —      |                      |
| `data.author.email`    | body | string                    | —      |                      |
| `data.author.homepage` | body | string                    | —      |                      |
| `data.author.name`     | body | string                    | —      |                      |
| `data.description`     | body | string                    | —      |                      |
| `data.icon`            | body | string                    | —      |                      |
| `data.id`              | body | string                    | —      |                      |
| `data.is_installed`    | body | boolean                   | —      |                      |
| `data.title`           | body | string                    | —      |                      |
| `status`               | body | string                    | —      | Status is "success". |

Failure carries the platform error shape — see [Errors](https://docs.hanzo.ai/docs/errors).

## Examples

**CLI**

```bash
hanzo o11y integrations install
```

**SDK**

**.ts**

```ts
import { Configuration, O11yApi } from 'hanzoai';

const api = new O11yApi(new Configuration({ accessToken: process.env.HANZO_API_KEY }));
const { data } = await api.installIntegration({ config: {}, integration_id: "<integration_id>" });
```

**.py**

```python
from hanzoai.cloud import ApiClient, Configuration
from hanzoai.cloud.api import O11yApi

client = ApiClient(Configuration(access_token=os.environ["HANZO_API_KEY"]))
result = O11yApi(client).install_integration(config={}, integration_id="<integration_id>")
```

**.go**

```go
cfg := hanzoai.NewConfiguration()
cfg.AddDefaultHeader("Authorization", "Bearer "+os.Getenv("HANZO_API_KEY"))
client := hanzoai.NewAPIClient(cfg)

resp, _, err := client.O11yAPI.InstallIntegration(context.Background()).Execute()
if err != nil {
	return err
}
```

**.rs**

```rust
use hanzo_client::apis::{configuration::Configuration, o11y_api};

let mut cfg = Configuration::new();
cfg.bearer_access_token = std::env::var("HANZO_API_KEY").ok();

let result = o11y_api::install_integration(&cfg, Default::default()).await?;
```

**.java**

```java
import ai.hanzo.cloud.ApiClient;
import ai.hanzo.cloud.api.O11yApi;

ApiClient client = new ApiClient();
client.setBearerToken(System.getenv("HANZO_API_KEY"));

var result = new O11yApi(client).installIntegration();
```

**HTTP**

```bash
curl -X POST https://api.hanzo.ai/v1/o11y/integrations/install \
  -H "Authorization: Bearer $HANZO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
       "config": {},
       "integration_id": "<integration_id>"
     }'
```

**MCP**

Tool `o11y`, op `InstallIntegration` — POST the JSON-RPC envelope to `https://api.hanzo.ai/v1/mcp`.

```bash
curl -X POST https://api.hanzo.ai/v1/mcp \
  -H "Authorization: Bearer $HANZO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
       "jsonrpc": "2.0",
       "id": 1,
       "method": "tools/call",
       "params": {
         "name": "o11y",
         "arguments": {
           "op": "InstallIntegration",
           "input": {
             "config": {},
             "integration_id": "<integration_id>"
           }
         }
       }
     }'
```

---

[O11y API](https://docs.hanzo.ai/docs/openapi/o11y) · [All Hanzo APIs](https://docs.hanzo.ai/docs/openapi) · [Interactive reference](https://docs.hanzo.ai/docs/openapi/reference)
